<?php
session_start();
if (!isset($_SESSION['user'])) {
    header('Location: ../login');
    exit();
}

include('../../config/koneksi.php');

// Ambil data dari form
$nama_warga = htmlspecialchars($_POST['nama_warga']);
$tempat_lahir_warga = htmlspecialchars($_POST['tempat_lahir_warga']);
$tanggal_lahir_warga = htmlspecialchars($_POST['tanggal_lahir_warga']);
$jenis_kelamin_warga = htmlspecialchars($_POST['jenis_kelamin_warga']);
$nama_orang_tua = htmlspecialchars($_POST['nama_orang_tua']);
$desa_kelurahan_warga = htmlspecialchars($_POST['desa_kelurahan_warga']);
$kecamatan_warga = htmlspecialchars($_POST['kecamatan_warga']);
$kabupaten_kota_warga = htmlspecialchars($_POST['kabupaten_kota_warga']);
$provinsi_warga = htmlspecialchars($_POST['provinsi_warga']);
$negara_warga = htmlspecialchars($_POST['negara_warga']);
$rt_warga = htmlspecialchars($_POST['rt_warga']);
$rw_warga = htmlspecialchars($_POST['rw_warga']);
$agama_warga = htmlspecialchars($_POST['agama_warga']);
$pendidikan_terakhir_warga = htmlspecialchars($_POST['pendidikan_terakhir_warga']);
$asal_ranting = htmlspecialchars($_POST['asal_ranting']);
$id_user = $_SESSION['user']['id_user'];

// Proses upload foto
$foto = NULL; // Default jika tidak ada foto yang diunggah
if (isset($_FILES['foto']) && $_FILES['foto']['error'] === UPLOAD_ERR_OK) {
    $file_tmp = $_FILES['foto']['tmp_name'];
    $file_name = time() . '_' . basename($_FILES['foto']['name']); // Rename file agar unik
    $file_destination = '../../uploads/' . $file_name; // Direktori penyimpanan

    // Pindahkan file ke folder tujuan
    if (move_uploaded_file($file_tmp, $file_destination)) {
        $foto = $file_name;
    }
}

// Masukkan data ke database
$query = "INSERT INTO warga (nama_warga, tempat_lahir_warga, tanggal_lahir_warga, jenis_kelamin_warga, nama_orang_tua, desa_kelurahan_warga, kecamatan_warga, kabupaten_kota_warga, provinsi_warga, negara_warga, rt_warga, rw_warga, agama_warga, pendidikan_terakhir_warga, asal_ranting, id_user, foto, created_at, updated_at) 
VALUES ('$nama_warga', '$tempat_lahir_warga', '$tanggal_lahir_warga', '$jenis_kelamin_warga', '$nama_orang_tua', '$desa_kelurahan_warga', '$kecamatan_warga', '$kabupaten_kota_warga', '$provinsi_warga', '$negara_warga', '$rt_warga', '$rw_warga', '$agama_warga', '$pendidikan_terakhir_warga', '$asal_ranting', '$id_user', '$foto', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);";

$hasil = mysqli_query($db, $query);

// Cek keberhasilan input
if ($hasil) {
    echo "<script>alert('Tambah warga berhasil!'); window.location.href='../warga/index.php';</script>";
} else {
    echo "<script>alert('Tambah warga gagal!'); window.location.href='../warga/create.php';</script>";
}
?>
